Ask Your Question
0

glance [-] 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)

asked 2013-08-14 06:25:10 -0500

vsakharov gravatar image

I tried to install the Devstack on Ubuntu 12.04.2 minimal according to instructions on http://devstack.org/guides/single-vm.html (http://devstack.org/guides/single-vm....) . After ./stack.sh command I got a following error: ......................... Starting Glance + start_glance + screen_it g-reg 'cd /opt/stack/glance; /usr/local/bin/glance-registry --config-file=/etc/glance/glance-registry.conf' + SCREEN_NAME=stack + SERVICE_DIR=/opt/stack/status ++ trueorfalse True True ++ local default=True ++ local testval=True ++ [[ -z True ]] ++ [[ 0 no false False FALSE =~ True ]] ++ [[ 1 yes true True TRUE =~ True ]] ++ echo True ++ return + USE_SCREEN=True + is_service_enabled g-reg + services=g-reg + for service in '${services}' + [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql, =~ ,g-reg, ]] + return 0 + screen_rc g-reg 'cd /opt/stack/glance; /usr/local/bin/glance-registry --config-file=/etc/glance/glance-registry.conf' + SCREEN_NAME=stack + SCREENRC=/opt/stack/devstack/stack-screenrc + [[ ! -e /opt/stack/devstack/stack-screenrc ]] + grep g-reg /opt/stack/devstack/stack-screenrc ++ echo -ne '\015' + NL=$'\r' + echo 'screen -t g-reg bash' + echo 'stuff "cd /opt/stack/glance; /usr/local/bin/glance-registry --config-file=/etc/glance/glance-registry.conf "' + [[ True = \T\r\u\e ]] + screen -S stack -X screen -t g-reg + [[ -n '' ]] + sleep 1.5 ++ echo -ne '\015' + NL=$'\r' + screen -S stack -p g-reg -X stuff 'cd /opt/stack/glance; /usr/local/bin/glance-registry --config-file=/etc/glance/glance-registry.conf || touch "/opt/stack/status/stack/g-reg.failure" ' + screen_it g-api 'cd /opt/stack/glance; /usr/local/bin/glance-api --config-file=/etc/glance/glance-api.conf' + SCREEN_NAME=stack + SERVICE_DIR=/opt/stack/status ++ trueorfalse True True ++ local default=True ++ local testval=True ++ [[ -z True ]] ++ [[ 0 no false False FALSE =~ True ]] ++ [[ 1 yes true True TRUE =~ True ]] ++ echo True ++ return + USE_SCREEN=True + is_service_enabled g-api + services=g-api + for service in '${services}' + [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql, =~ ,g-api, ]] + return 0 + screen_rc g-api 'cd /opt/stack/glance; /usr/local/bin/glance-api --config-file=/etc/glance/glance-api.conf' + SCREEN_NAME=stack + SCREENRC=/opt/stack/devstack/stack-screenrc + [[ ! -e /opt/stack/devstack/stack-screenrc ]] + grep g-api /opt/stack/devstack/stack-screenrc ++ echo -ne '\015' + NL=$'\r' + echo 'screen -t g-api bash' + echo 'stuff "cd /opt/stack/glance; /usr/local/bin/glance-api --config-file=/etc/glance/glance-api.conf "' + [[ True = \T\r\u\e ]] + screen -S stack -X screen -t g-api + [[ -n '' ]] + sleep 1.5 ++ echo -ne '\015' + NL=$'\r' + screen -S stack -p g-api -X stuff 'cd /opt/stack/glance; /usr/local/bin/glance-api --config-file=/etc/glance/glance-api.conf || touch "/opt/stack/status/stack/g-api.failure" ' + echo 'Waiting for g-api (10.0.2.15:9292) to start...' Waiting for g-api (10.0.2.15:9292) to start... + timeout 60 sh -c 'while ! http_proxy= wget -q -O- http://10.0.2.15:9292 ; do sleep 1; done' + die 191 'g-api did not start' + local exitcode=0 + set +o xtrace [Call Trace] stack.sh:1183:start_glance /opt/stack/devstack/lib/glance:191:die [ERROR] /opt/stack/devstack/lib/glance:191 g-api did not start root@devstack:~/devstack#

After that, I tried manually launch glance-api: root ... (more)

edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
0

answered 2013-08-24 10:27:37 -0500

I have met same issue.

edit flag offensive delete link more
0

answered 2013-08-17 18:02:57 -0500

hummermania gravatar image

I have some error. First I install the Ubuntu pacckage sheepdog: sudo apt-get install sheepdog

But after that script crash on cinder store. List store types located /opt/stack/glance/glance/store/__init__.py on the line 45

cfg.ListOpt('known_stores',
            default=[
                'glance.store.filesystem.Store',
                'glance.store.http.Store',
                'glance.store.rbd.Store',
                'glance.store.s3.Store',
                'glance.store.swift.Store',
                'glance.store.sheepdog.Store',
               # 'glance.store.cinder.Store',

I commented the cinder store - and script start normally. I think that in the system not found some package like a "sheepdog", for example python-cinderclient. But if install it - error show again.

edit flag offensive delete link more
0

answered 2013-08-24 10:27:19 -0500

I have met same issue.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-08-14 06:25:10 -0500

Seen: 323 times

Last updated: Aug 24 '13